<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.BioPlate"
	import="net.sf.basedb.core.DbControl"	
	import="net.sf.basedb.core.Item"
	import="net.sf.basedb.core.ItemContext"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
	import="java.util.List"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~storage-box.js" 
	styles="path.css,~../css/reggie-2.css"
>
<style>

#box-table
{
	margin: 1em auto;
}

#box-table td
{
	width: 10em;
	text-align: center;
}

</style>

</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Storage box creation wizard" 
		/></p:path>
	
	<div class="content">

	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Create storage boxes</div>
		<div class="step-content">
	
			<table class="step-form">
			<tr>
				<td class="prompt">Number of empty boxes</td>
				<td class="info" id="emptyBoxes" colspan="2"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Last existing box</td>
				<td class="info" id="lastBox" colspan="2"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Number of new boxes</td>
				<td class="input">
					<input type="text" name="numberOfBoxes" id="numberOfBoxes"
						class="required auto-init" data-auto-init="focus" 
						style="width: 12em;" maxlength="2" value="8">
				</td>
				<td class="status" id="numberOfBoxes.status"></td>
				<td class="help">
					<span id="numberOfBoxes.message" class="message"></span>
					Number of boxes to create (of each type): Sp*, Lys*, RNA*, DNA* and FT*.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">New boxes</div>
		<div class="step-content">
	
			<table class="step-form">
			<tr>
				<td class="info" colspan="3">
					<table id="box-table" class="fullborder">
						<thead class="bottomborder bg-filled-100">
						<tr>
							<th>Specimen</th>
							<th>Lysate</th>
							<th>RNA</th>
							<th>DNA</th>
							<th>FlowThrough</th>
						</tr>
						</thead>
						<tbody id="new-boxes"></tbody>
					</table>
				</td>
				<td class="help">
					This table list all boxes that are created. Do not forget to download
					the label file for the label printer!
				</td>
			</tr>
			</table>
			
		</div>
	</div>
		
	<div id="wizard-status"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td><base:button id="godownload" title="Download labels..." image="<%=home+"/images/download.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>